{
  "name": "AS400API Dev",
  "build": {
    "dockerfile": "./Dockerfile",
    "context": ".."
  },


  // "remoteUser": "vscode",
  "remoteEnv": {
    "SONAR_HOST_URL": "http://host.docker.internal:9000"
  },


  "runArgs": ["--init"],

  // Ensure IBM i Access shared libraries are on the loader path when running in devcontainer
  "containerEnv": {
    "LD_LIBRARY_PATH": "/opt/ibm/iaccess/lib64:/opt/ibm/iaccess/lib",
    "AS400_DRIVER_NAME": "IBM i Access ODBC Driver",
    "SONAR_TOKEN": "squ_ef2f0a2f495a32c33ed81afb16f3cdc98bf1336a"
  },

  // เมานท์โฟลเดอร์งานเข้า /workspaces/AS400API
  "workspaceFolder": "/workspaces/AS400API",
  "workspaceMount": "source=${localWorkspaceFolder},target=/workspaces/AS400API,type=bind,consistency=cached",

  "forwardPorts": [8080],
  "postCreateCommand": "apt-get update && apt-get install -y jq && dotnet --info && dotnet restore",

  "settings": {
    "terminal.integrated.defaultProfile.linux": "bash",
    "dotnet.defaultSolution": "AS400API.sln",
    "dotnet.projects.enableFileBasedPrograms": false
  },

  "customizations": {
    "vscode": {
      "extensions": [
        // "ms-dotnettools.csharp",
        "ms-azuretools.vscode-docker",
        "oderwat.indent-rainbow",
        "streetsidesoftware.code-spell-checker",
        "openai.chatgpt",
        "ms-dotnettools.csdevkit",
        "SonarSource.sonarlint-vscode"
      ]
    }
  },

  "remoteUser": "root"
}
